GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
socket_windows.h File Reference
`#include <grpc/support/port_platform.h>`
`#include <winsock2.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/atm.h>`
`#include "src/core/iomgr/iomgr_internal.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_winsocket_callback_info
struct | grpc_winsocket

## Typedefs
typedef struct grpc_winsocket_callback_info | grpc_winsocket_callback_info
typedef struct grpc_winsocket | grpc_winsocket

## Functions
grpc_winsocket * | grpc_winsocket_create (SOCKET socket, const char *name)
int | grpc_winsocket_shutdown (grpc_winsocket *socket)
void | grpc_winsocket_orphan (grpc_winsocket *socket)
void | grpc_winsocket_destroy (grpc_winsocket *socket)

## Typedef Documentation

typedef struct grpc_winsocket grpc_winsocket

typedef struct grpc_winsocket_callback_info grpc_winsocket_callback_info

## Function Documentation

grpc_winsocket* grpc_winsocket_create | ( | SOCKET | socket,
|  | const char * | name
| ) |  |

void grpc_winsocket_destroy | ( | grpc_winsocket * | socket | ) |

void grpc_winsocket_orphan | ( | grpc_winsocket * | socket | ) |

int grpc_winsocket_shutdown | ( | grpc_winsocket * | socket | ) |